Bug 429089 - udev-118-1.fc8 broken: IPW2200 Adapter firmware no longer detected following upgrade to Fedora 8
udev-118-1.fc8 broken: IPW2200 Adapter firmware no longer detected following ...
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-17 02:15 EST by Muyi Taiwo
Modified: 2008-11-26 12:37 EST (History)
3 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 12:37:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Muyi Taiwo 2008-01-17 02:15:08 EST
Description of problem:
ipw2200 firmware fails to load on boot, although wireless adapter is correctly

Version-Release number of selected component (if applicable):

How reproducible:
Every time computer starts

Steps to Reproduce:
1. Shut down laptop
2. Turn on laptop
3. Check for loading of ipw2200 firmware:
   dmesg | grep ipw2200
Actual results:
1. Results of dmesg | grep ipw2200:
ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
ipw2200: Copyright(c) 2003-2006 Intel Corporation
ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
ipw2200: ipw2200-bss.fw request_firmware failed: Reason -2
ipw2200: Unable to load firmware: -2
ipw2200: failed to register network device
ipw2200: probe of 0000:06:05.0 failed with error -5

2. Wireless adapter does not work, is not detected by NetworkManager

Expected results:
1. Expect wireless adpater to be active, and be able to connect to access point

Additional info:
-- HP Pavilion dv4000 (built-in Intel PRO/Wireless IPW2200 Wireless adapter)
-- Fedora 8
-- kernel
-- ipw2200-firmware-3.0-9
Comment 1 Matthias Saou 2008-01-17 08:48:58 EST
If you check, the package you have does provide /lib/firmware/ipw2200-bss.fw, so
I'd start looking at your udev to see if it's running okay or not. In any case,
this is not directly linked to the firmware package, but accessing the firmware
file... so there's nothing I can do at the firmware package level, sorry.

Please reassign to the right component once you've found the faulty one.
Comment 2 Muyi Taiwo 2008-01-17 17:09:27 EST
udev is working for other devices.  Am I missing a script to load the firmware
in my version of udev?  my udev version is udev-118-1.fc8
Comment 3 Muyi Taiwo 2008-01-18 20:50:48 EST
I've found the problem: 

The udev files responsible for loading firmware in Fedora 8 are broken. 
Apparently, older versions of udev used /sbin/firmware_helper to load firmware
files, but the one in Fedora 8 (and possibly a few versions before that) use

The fix for the problem is to replace occurrences of /sbin/firmware_helper in
files loading firmware with /lib/udev/firmware.sh.  For me, the affected file
was /etc/udev/rules.d/06-udev-rh-early.rules.  Just to be safe, I also put the
complete path to firmware.sh in the file /etc/udev/rules.d/50-udev-default.rules.

PS: I've changed the Summary of this bug to reflect the real cause.
Comment 4 Klaasjan Brand 2008-01-28 04:22:53 EST
Same problem here with an Intel 4965 adapter.
Comment 5 Klaasjan Brand 2008-01-29 03:00:47 EST
Btw. this is on x86-64.
The "starting udev" on boot seems to hang a long time before normal booting
continues, presumably because of the failing firmware upload.
Comment 6 Klaasjan Brand 2008-01-30 10:45:18 EST
Ok, did some extra debugging on this issue (it really bugs me when I can't use

It seems something changed which causes the wireless driver firmware load to
timeout. By hacking the /lib/udev/firmware script to write a bigger timout value
to /sys/class/firmware/timeout everything is loading perfectly again.

This really needs to be fixed in the distribution of course...
Comment 7 Matthias Saou 2008-02-03 06:31:06 EST
Reassigning to udev owner, as this won't get looked at if it stays assigned to
me ;-)
Comment 8 Harald Hoyer 2008-02-20 05:52:54 EST
$ fgrep  -r firmware /etc/udev/rules.d/
/etc/udev/rules.d/50-udev-default.rules:# firmware class requests
/etc/udev/rules.d/50-udev-default.rules:SUBSYSTEM=="firmware", ACTION=="add",

$ rpm -q udev

no /etc/udev/rules.d/06-udev-rh-early.rules file here
Comment 9 Bug Zapper 2008-11-26 04:27:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Jon Stanley 2008-11-26 12:37:10 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.